#!/bin/bash

#测试推送入口

source pushdata.sh

data=()

#---------
#@desc 从文件中获取数据
#---------
function data_from_file() {
    index=0
    while read line
    do
        data[$index]=`echo $line|tr -d " "`
        ((index++))
    done < demo.json
}

#---------
#@desc 直接赋值
#---------
function data_from_nofile() {
    str1='{"id": "123456","url": "http://m.baidu.com","fromSite": "测试网","fromSiteUrl": "http://www.test_web.com","tag": ["土豆"],"viewCount": 22,"collectCount": 1,"praiseCount": 5,"question": "炖牛肉买哪个部位的肉","answers": [{"fullText": "牛肉中的牛腩xxxx，可以选用牛腩","abstract": "可以买牛腩等部位","viewCount": 11,"collectCount": 11,"praiseCount": 22,"label": ["满意回答"],"tag": ["牛腩"]}]}'
    str2='{"id": "123457","url": "http://m.baidu.com","fromSite": "测试网","fromSiteUrl": "http://www.test_web.com","tag": ["土豆"],"viewCount": 22,"collectCount": 1,"praiseCount": 5,"question": "炖牛肉买哪个部位的肉","answers": [{"fullText": "牛肉中的牛腩xxxx，可以选用牛腩","abstract": "可以买牛腩等部位","viewCount": 11,"collectCount": 11,"praiseCount": 22,"label": ["满意回答"],"tag": ["牛腩"]}]}'
    str3='{"id": "123458","url": "http://m.baidu.com","fromSite": "测试网","fromSiteUrl": "http://www.test_web.com","tag": ["土豆"],"viewCount": 22,"collectCount": 1,"praiseCount": 5,"question": "炖牛肉买哪个部位的肉","answers": [{"fullText": "牛肉中的牛腩xxxx，可以选用牛腩","abstract": "可以买牛腩等部位","viewCount": 11,"collectCount": 11,"praiseCount": 22,"label": ["满意回答"],"tag": ["牛腩"]}]}'

    #数组元素去除空格
    data[0]=`echo $str1|tr -d " "`
    data[1]=`echo $str2|tr -d " "`
    data[2]=`echo $str3|tr -d " "`
}

# 沙盒环境地址，将url换为平台上分配的沙盒接口
url="http://pingtest.kg.baidu.com/push?****"

#正式环境地址，将url换为 平台上分配的沙盒接口
#url="http://ping.kg.baidu.com/push?***"

data_from_file #data 需要为array类型，数据来源于文件
#data_from_nofile #data 需要为array类型，数据来源于输入数据

post_json_data "$url" "${data[*]}"

